Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class EtapaDbHelper
    Inherits DbHelper(Of Etapa,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListEtapaByProcesoEvaluacion(ByVal idProcesoEvaluacion as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of Etapa)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idProcesoEvaluacion = idProcesoEvaluacion
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
